module NgxLint

	# Command line parsing.
	class CommandLine < Clamp::Command
	
		option "--version", :flag, "Display the ngxlint version."

		# A new NgxLint::Command
		def initialize(*args)
			super(*args)
		end

		# Execute this command.
		def execute
			version if version?	# --version
		end

		# The version string.
		#
		# @return [String] Current installed version.
		def version
			puts "ngxlint #{NgxLint::VERSION}"
		end

	end

end
